// ===========================================================================

/*    2 :

 877_i2c.h  -  ,    -       

 877_i2c.c  -  ,     


    :

  init_i2c();                ,     
  
  write_ext_eeprom(a, d);     "d"  ""
  
  d = read_ext_eeprom(a);     "d"  ""*/


/* ===========================================================================
  I used 24LC01B that was on the board:

 pin 1 to 4 connected to VSS
 pin 5 "SDA" connected to  RC4 PIN 23  
 pin 6 "SCL" connected to  RC3 PIN 18  
 pin 7 "WP"  connected to  VSS
 pin 8 connected to VCC


*/

/******************************************************************************************/

#include <pic.h>
#include "Delay.h"
#include "Delay.C"
#include  "877_i2c.h"
#include "lcd.h"
#include <stdlib.h>
#include <stdio.h>

#define	D_PIN		RB1 
#define	D_TRIS		TRISB1
bit  D_Presence;
bit  D_ShortCircuit;
bit  D_Error;
bit  D_Data;


char TempH=0xFF;              //-- High Thermo setting
char TempL=0xFF;              //-- Low thermo setting
char TempS=0xFF;       
unsigned char	buf [16];
float			temperature;						// 
unsigned char	termo0;								//  DS18S20
unsigned char	termo1;
unsigned char	th;
unsigned char	tl;
unsigned char	reserv1;
unsigned char	reserv0;
unsigned char	count_remain;
unsigned char	count_perc;
unsigned char	crc;
unsigned char	buf [16];


#define D_RiseSpace 5        // Rise Time + Minimum Space (3uS+1uS absolute min)

char number[] = "                ";
char sec[] = "                ";


unsigned int secs,mins;


/******************************************************************************************/

void write_ext_eeprom(unsigned char address, unsigned char data)
 {
   i2c_start();
   i2c_write(0xa0);
   i2c_write(address);
   i2c_write(data);
   i2c_stop();
   DelayMs(11);
}

/******************************************************************************************/

unsigned char read_ext_eeprom(unsigned char address)
{
   unsigned char data;

   i2c_start();
   i2c_write(0xa0);
   i2c_write(address);
   i2c_repStart();
   i2c_write(0xa1);
   data=i2c_read(0);
   i2c_stop();
   return(data);
}

/******************************************************************************************/

void main()
{
 unsigned char i=0;

 PORTB=0x00;    // port
 PORTC=0x00;    // port

 TRISB=0x00;    //portb out
 TRISC=0x00;    //portc out

 lcd_init();
 i2c_init();    // init i2c 

 while(i<=10)   /* write 10 numbers to eeprom */
  {        
TempL=i;                  // the value of i on leds i is the curent address and also the data
  write_ext_eeprom(i,i);   // it to eeprom
  i++;
  DelayMs(255);

secs=TempL;
	sprintf( number,"%02u",secs);
   
	lcd_goto(0);	// select first line
	lcd_puts(number);
DelaySec(1);
  }


 


 i=0;

 while(i<=10)
  {
    

 TempL=read_ext_eeprom(i); 
  DelayMs(255);
  i++;

    mins= TempL;

	sprintf(sec,"%02u",mins);
 
	lcd_goto(0x40);	// Select second line
		lcd_puts(sec);

DelaySec(1);



  }
}
/******************************************************************************************/

